%define title		Frozen Bubble
%define longtitle	Frozen Bubble arcade game

# TODO 
#  server package, with initscript, for people wanting to have a complete
#   server
#  zeroconf integration, with this initscript ( and in konqueror )
Name:		frozen-bubble
Version:	2.2.0
Release:	%mkrel 2
Summary:	Frozen Bubble arcade game
License:	GPLv2+
Group:		Games/Arcade
URL:		http://www.frozen-bubble.org/
Source:		http://www.frozen-bubble.org/data/%{name}-%{version}.tar.bz2
Patch0:     frozen-bubble-2.2.0-fix_new_sdl.diff
Requires:	perl-SDL >= 1.18
Requires:	%{name}-server-common = %{version}-%{release}
BuildRequires:	libSDL_mixer-devel >= 1.2.2
BuildRequires:	libSDL_image-devel
BuildRequires:	libsmpeg-devel
BuildRequires:	perl-SDL
BuildRequires:	perl-devel
BuildRequires:	SDL_Pango-devel 
BuildRequires:	glib2-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
A Puzzle Bobble / Bust-a-Move like game featuring colorful 3D rendered
penguin animations, 100 levels, local and Internet-based multiplayer,
a level editor, 3 professional quality digital soundtracks, 15 stereo
sound effects, 8 unique graphical transition effects, 8 unique logo
eye-candies.


%package server-common
Summary:	Frozen bubble server, used for multiplayer game
Group:		Games/Arcade
Conflicts:	%{name} < 2.1

%description server-common
This package only contains the server of Frozen Bubble, for people
wanting to host a multiplayer server on their computer without installing
the whole game. If you wish to play the game, install frozen-bubble.

%prep
%setup -q
%patch0 -p0

%build
%make OPTIMIZE="%{optflags}" CFLAGS="%{optflags} `pkg-config glib-2.0 --cflags`" LIBS="`pkg-config glib-2.0 --libs`" LIBDIR=%{_libdir} DATADIR=%{_gamesdatadir} INSTALLDIRS=vendor PREFIX=%{_prefix}

%install
rm -rf %{buildroot}
%makeinstall_std DESTDIR=%{buildroot} LIBDIR=%{_libdir} DATADIR=%{_gamesdatadir} BINDIR=%{_gamesbindir} MANDIR=%{_mandir} LOCALEDIR=%{_datadir}/locale
rm -f %{buildroot}/%{_gamesdatadir}/frozen-bubble/gfx/shoot/create.pl

install -d -m 755 %{buildroot}%{_datadir}/applications
cat >  %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=%{title}
Comment=%{longtitle}
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ArcadeGame;
EOF

install -m 644 icons/frozen-bubble-icon-16x16.png -D %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -m 644 icons/frozen-bubble-icon-32x32.png -D %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m 644 icons/frozen-bubble-icon-48x48.png -D %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%find_lang %{name}

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post
%{update_menus}
%{update_icon_cache hicolor}
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%{clean_icon_cache hicolor}
%endif

%files server-common 
%defattr(-, root, root)
%{_libdir}/%{name}

%files -f %{name}.lang
%defattr(-, root, root)
%doc README AUTHORS NEWS TIPS
%{_gamesbindir}/*
%{_gamesdatadir}/%{name}
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/*.pm
%{_mandir}/*/*
%{_datadir}/applications/mandriva-%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Sun Aug 23 2009 Michael Scherer <misc@mandriva.org> 2.2.0-2mdv2010.0
+ Revision: 420214
- fix bug 52945, some constants are no longer exported with latest perl-SDL

* Fri Dec 12 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.2.0-1mdv2009.1
+ Revision: 313696
- export %%_prefix
- update to new version 2.2.0
- add buildrequires on libSDL_image-devel
- fix mixture of tabs and spaces
- use macros
- spec file clean

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 2.1.0-7mdv2009.0
+ Revision: 218423
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon Jan 14 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.1.0-7mdv2008.1
+ Revision: 151781
- rebuild
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Sep 19 2007 Adam Williamson <awilliamson@mandriva.org> 2.1.0-5mdv2008.0
+ Revision: 91113
- don't package license
- fd.o icons
- improve description
- new license policy

* Sun Sep 09 2007 David Walluck <walluck@mandriva.org> 2.1.0-4mdv2008.0
+ Revision: 83394
- rebuild (package was unsigned)

* Sun Sep 09 2007 Emmanuel Andry <eandry@mandriva.org> 2.1.0-3mdv2008.0
+ Revision: 83323
- Drop old menu

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'


* Fri Dec 01 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.1.0-2mdv2007.0
+ Revision: 89694
- release
- fix upgrade (#27435)

* Fri Nov 24 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.1.0-1mdv2007.1
+ Revision: 87021
- new release
- new source URL
- fix source url

  + Michael Scherer <misc@mandriva.org>
    - split server from main package, to host a server without pulling the whole set of deps

* Wed Nov 01 2006 Michael Scherer <misc@mandriva.org> 2.0.0-1mdv2007.1
+ Revision: 74955
- version 2.0, specfile merged from upstream with mandriva one
- fix bug #7778
- Import frozen-bubble

* Mon Sep 04 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.0-11mdv2007.0
- Really migrate to xdg menu

* Fri Jul 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.0-10mdv2007.0
- xdg menu
- spec cleanup

* Tue Mar 28 2006 Pixel <pixel@mandriva.com> 1.0.0-9mdk
- fix "make install" using DESTDIR
  (MakeMaker generated Makefile doesn't handle PREFIX anymore)

* Fri Dec 16 2005 Michael Scherer <misc@mandriva.org> 1.0.0-8mdk
- mkrel
- fix #20223 ( by simply rebuilding it, this is weird ).

* Mon Nov 15 2004 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.0-7mdk
- Rebuild for new perl

